Create an ACH Token

Create and store a token for ACH bank information

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

ACH tokens are used to replace actual bank and account details sent for processing a transaction. For example, you can store an ACH token with a customer and/or a subscription contract in your application and use the token to process a payment when required.

Parameters

The following fields are available to create an ACH token.

parameterdescriptionrequired
profile_idMerchant supplied customer idNo
cnicknamea nickname that the cardholder would like to saveNo
acccount_typethe type of account:
1 = personal checking
2 = personal savings
3 = corporate checking
4 = corporate savings
Yes
name_on_acccountthe account holders full nameYes
account_numberthe bank account numberYes
routing_numberthe bank routing number (RTN)Yes
baddressthe account street addressNo
bcitythe account city nameNo
bstatethe account state codeNo
bzipthe account zip codeNo
cphonethe account holders phone number (mobile)No
cemailthe account holders email addressNo
storeset this to 0 to create a temporary token (much like a payment intent)
if not present default = 1
No
Example

The following JSON example provides test values to create an ACH token. You can copy and replace these values in the transaction_data object in the Try it Out feature

{
  "transaction_data": {
  	"acccount_type": "1",
  	"name_on_acccount": "Jerry Smith",
  	"account_number": "5544044490909090",
  	"routing_number": "5544044490909090",
  	"baddress": "26776 Chesterton Drive",
  	"bcity": "Indianapolis",
  	"bstate": "IN",
  	"bzip": "46280"
  }
}

References

  • Link to details on related response codes.
  • [Payment Response Codes](doc:payment-response-codes)
Body Params
transaction_data
object
required
Headers
string
required
length ≤ 24
Defaults to T6554252567241061980

The unique key identifying the app making this request.

NOTE: If testing use T6554252567241061980 for the Qor-App-Key header key.

string
required
Defaults to 01dffeb784c64d098c8c691ea589eb82

The Client key represents an authorized merchant account and is assigned by QorCommerce or your merchant service account provider.

NOTE: If testing use 01dffeb784c64d098c8c691ea589eb82 for the Qor-Client-Key header key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json